﻿/* Please see documentation at https://docs.microsoft.com/aspnet/core/client-side/bundling-and-minification
for details on configuring this project to bundle and minify static web assets. */

a.navbar-brand {
  white-space: normal;
  text-align: center;
  word-break: break-all;
}

/* Sticky footer styles
-------------------------------------------------- */
html {
  font-size: 14px;
}
body{
	height: 100% !important;
}

.border-top {
  border-top: 1px solid #e5e5e5;
}
.border-bottom {
  border-bottom: 1px solid #e5e5e5;
}

.box-shadow {
  box-shadow: 0 .25rem .75rem rgba(0, 0, 0, .05);
}

button.accept-policy {
  font-size: 1rem;
  line-height: inherit;
}

/* Sticky footer styles
-------------------------------------------------- */
html {
	position: relative;
	min-height: 100%;
	width: 100%;
	height: 100%;
}

body {
  /* Margin bottom by footer height */
  margin-bottom: 60px;
  width: 100%;
  height: 100%;
}
header {
	width: 100%;
	height: 110px;
	background: #fff;
	box-shadow: 1px 0px 1px 0px;
}
.footer {
    position: absolute;
    bottom: 0;
    width: 100%;
    white-space: nowrap;
    /* Set the fixed height of the footer here */
    height: 60px;
    line-height: 60px; /* Vertically center the text there */
    background: #fff;
}
.container___ {
	height: 80%;
}

html, body {
	background: #f1f3f6 !important;
	color: #4c4d4d !important;
}

.btndirectpay {
	position: absolute;
	margin-top: 200px;
	margin-left: 503px;
}
body {
   
    font-family: "Poppins", sans-serif;
}
* {
    font-family: "Poppins", sans-serif;
}
.text14{
    font-size: 14px;
}
.img-width {
    width: 28%;
}
.containerBox {
    width: 50%;
    margin: 0 auto;
    text-align: center;
}
.imgVerify {
    margin-bottom: 40px;
}
.TextGrey {  
    color: #9e9e9e;
}
#dverrmsg {
    margin-top: 10px;
    font-size: 14px;
}
.text_count {
    color: #f00b0b;
    font-size: 14px;
}
.block{
	display: block !important;
}
.applepay-button-line {
	display: none;
}
.payment-button {
	width: 48%;
	float: left;
	margin: 5px;
	text-align: center;
}

.or {
	border: none;
	background: none;
	cursor: pointer;
}

.or span {
	padding-bottom: 7px;
	letter-spacing: 4px;
	font-size: 14px;
	padding-right: 15px;
	text-transform: uppercase;
}

.or svg {
	transform: translateX(-15px);
	transition: all 0.3s ease;
}

.or:active svg {
	transform: scale(0.9);
}

@media only screen and (max-width: 600px) {
	.containerBox {
		width: 90%;
		height: 100%;
	}
	.img-width {
		width: 50%;
	}
	.vertical-center {
		margin-top: 20px;
	}
	input[type=number] {
		color: black;
	}
	div#header {	
		width: 85%;
		margin: 0 auto;
	}
	input[type="text"]{
		color: black;
	}
	.applepay-button-line {
		display: block;
		border: none;
		color: black;
		background-color: transparent;
		text-align: center;
		margin: 0 auto;
	}
	.applepay-button-line:hover {
		display: block;
		border: none;
		color: black;
		background-color: transparent;
		text-align: center;
		margin: 0 auto;
		cursor: default;
	}
	.payment-button {
		width: 93%;
		margin: 5px;
	}
}


.ContentCenter {
	position: absolute;
	margin: -25px 0 0 -25px;
	left: 36%;
	bottom: 10%
}

div#ctrlblock {
	width: 50%;
	margin: 0 auto;
	margin-top: 5% !important;
}

.half-width {
	width: 50% !important;
}

.margin-top2 {
	margin-top: 20px;
}

.fieldBlock {
	display: block;
	/*width: 263px;*/
	width: 50%;
	float: left;
	padding: 10px;
}

.err {
	color: red
}

.mar {
	margin: 0px !Important;
}

.clearfix {
	clear: both;
}

@media screen and (max-width:640px) {
	.container {
		width: 100%
	}

	.fieldBlock {
		display: block;
		width: 100%;
		float: left;
		padding: 10px;
	}

	.ContentCenter {
		width: 85%;
		position: relative !important;
	}
	#container {
		width: 100%
	}

	.iti {
		width: 100%;
	}

	div #ctrlblock {
		width: 100%;
	}

	.full-width {
		width: 100%;
	}

	.vertical-center {
		margin-top: 20px;
	}
	.imgVerify {
		margin-bottom: 20px !important;
		margin-top: 20px !important;
	}
	.container___ {
		margin-top: 40px !important;
		height: 100% !important;
	}
	
	.err {
		color: red
	}

	.mar {
		margin: 0px !Important;
	}
}

:root {
	color-scheme: light dark;
}

@media screen and (prefers-color-scheme: dark) {
	html, body {
		background-color: #fff !important;
	}

	input[type="text"], input[type="tel"], textarea {
		background-color: #fff !important;
		color: black;
	}

	input[type=number] {
		color: black;
	}
}
#container {
	width: 960px;
	margin: 0px auto;
}

/* .vertical-center {
            margin: 0;
            position: absolute;
            top: 44%;
            left: 36%;
            width: 33%;
            transform: translateY(-50%)
        }

        .lblotp {
            margin: 0;
            position: absolute;
            top: 38%;
            left: 36%;
            width: 33%;
            transform: translateY(-50%)
        }*/

input[type=number] {
	height: 45px;
	width: 45px;
	font-size: 25px;
	text-align: center;
	border: none;
	border-bottom: 1px solid #cfcfcf;
	background: #f1f3f6;
	border-radius: 1px;
}

input:focus {
	outline: none;
	border-bottom: 1px solid black;
}

input[type=number]::-webkit-inner-spin-button,
input[type=number]::-webkit-outer-spin-button {
	-webkit-appearance: none;
	margin: 0;
}

body, html {
	overflow-x: hidden
}
.grecaptcha-badge {
	z-index: 4;
}

/* two payments */

.payment-options-container {
	display: flex;
	flex-direction: row;
}

.payment-options-container img {
	height: 30px !important;
}

.telr_icon {
	height: 30px !important;
}

.payment-options-container > button {
	width: 48%;
	padding: 4px;
	margin: 3px;
}

.payment-options-container .payment-button-wrapper {
	margin-top: 10px;
	display: flex;
	flex-direction: column;
	justify-content: center;
	align-items: center;
}

.payment-button {
	/*box-shadow: 0px 1px 0px 0px rgba(0,0,0,0.1),inset 0px 0px 0px 1px #c68100,inset 0px 2px 0px 0px rgba(255,255,255,0.6);*/
	font-size: 15px;
	letter-spacing: normal;
	font-weight: bold;
	color: #000;
	text-shadow: 0px 1px 0px rgba(255,255,255,0.4);
	/*background: #ffab02;*/
	padding: 5px 15px;
	background: -webkit-linear-gradient(#C7D3DC,#5B798E);
	background: -moz-linear-gradient(#C7D3DC,#5B798E);
	background: -o-linear-gradient(#C7D3DC,#5B798E);
	background: linear-gradient(#C7D3DC,#5B798E);
	-webkit-transition: background 1s ease-out;
	-moz-transition: background 1s ease-out;
	-o-transition: background 1s ease-out;
	transition: background 1s ease-out;
	background-size: 1px 200px;
	border-radius: 10px;
	border: 1px solid #839DB0;
	cursor: pointer;
}

.payment-button:hover, .payment-button:focus {
	/*background-color: #357b2f;
    background: linear-gradient(#51924e, #195723);*/
	color: #000;
	background-position: 100px;
}

.payment-button:active {
	background: #357b2f;
	box-shadow: inset 0px 1px 2px 0px rgba(0,0,0,0.2),inset 0px 0px 0px 1px rgba(0,0,0,0.2)
}

.telr-logo {
	background-image: url(/assets/images/telr_trans.png);
	background-position: center;
	background-repeat: no-repeat;
	display: inline-block;
	color: transparent;
	text-shadow: none;
	width: 68px;
	height: 18px;
	vertical-align: middle;
}


/*loading*/
@-webkit-keyframes rotator {
	0% {
		-webkit-transform: rotate(0deg);
		transform: rotate(0deg);
	}

	100% {
		-webkit-transform: rotate(270deg);
		transform: rotate(270deg);
	}
}

@keyframes rotator {
	0% {
		-webkit-transform: rotate(0deg);
		transform: rotate(0deg);
	}

	100% {
		-webkit-transform: rotate(270deg);
		transform: rotate(270deg);
	}
}

@-webkit-keyframes colors {
	0% {
		stroke: #4285F4;
	}

	25% {
		stroke: #4285F4;
	}

	50% {
		stroke: #4285F4;
	}

	75% {
		stroke: #4285F4;
	}

	100% {
		stroke: #4285F4;
	}
}

@keyframes colors {
	0% {
		stroke: #4285F4;
	}

	25% {
		stroke: #4285F4;
	}

	50% {
		stroke: #4285F4;
	}

	75% {
		stroke: #4285F4;
	}

	100% {
		stroke: #4285F4;
	}
}

@-webkit-keyframes dash {
	0% {
		stroke-dashoffset: 187;
	}

	50% {
		stroke-dashoffset: 46.75;
		-webkit-transform: rotate(135deg);
		transform: rotate(135deg);
	}

	100% {
		stroke-dashoffset: 187;
		-webkit-transform: rotate(450deg);
		transform: rotate(450deg);
	}
}

@keyframes dash {
	0% {
		stroke-dashoffset: 187;
	}

	50% {
		stroke-dashoffset: 46.75;
		-webkit-transform: rotate(135deg);
		transform: rotate(135deg);
	}

	100% {
		stroke-dashoffset: 187;
		-webkit-transform: rotate(450deg);
		transform: rotate(450deg);
	}
}

.spinner {
	-webkit-animation: rotator 1.4s linear infinite;
	animation: rotator 1.4s linear infinite;
}

.path {
	stroke-dasharray: 187;
	stroke-dashoffset: 0;
	-webkit-transform-origin: center;
	transform-origin: center;
	fill: -ms-input-placeholder;
	fill: -webkit-input-placeholde;
	-webkit-animation: dash 1.4s ease-in-out infinite, colors 5.6s ease-in-out infinite;
	animation: dash 1.4s ease-in-out infinite, colors 5.6s ease-in-out infinite;
}